### Method

# EDataServer Source set_connection_status

since: 3.16

#### Declaration [src]

    void
    e_source_set_connection_status (
      ESource* source,
      ESourceConnectionStatus connection_status
    )

#### Description [src]

Set’s current connection status of the `source`.

Available since: 3.16

#### Parameters

`connection_status`

  Type: `ESourceConnectionStatus`

  One of the `ESourceConnectionStatus`.